Bug 1015767 - tcpdump: Couldn't change ownership of savefile
tcpdump: Couldn't change ownership of savefile
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tcpdump (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: 1016102
  Show dependency treegraph
 
Reported: 2013-10-05 05:25 EDT by Jaroslav Kortus
Modified: 2013-10-15 02:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: tcpdump-4.4.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1016102 (view as bug list)
Environment:
Last Closed: 2013-10-09 20:59:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Kortus 2013-10-05 05:25:44 EDT
Description of problem:
when running tcpdump with -w -, this error message is printed:
Couldn't change ownership of savefile

strace shows:
chown("-", 72, 72)                      = -1 ENOENT (No such file or directory)

tcpdump should not change owner of stdin (or better, not handle "-" as a regular file)

Version-Release number of selected component (if applicable):
tcpdump-4.4.0-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. tcpdump  -nni any -s 0 -w -
2.
3.

Actual results:
error message + some garbage

Expected results:
dump output to stdout as in previous versions

Additional info:
Comment 1 Fedora Update System 2013-10-07 12:02:13 EDT
tcpdump-4.4.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tcpdump-4.4.0-2.fc19
Comment 2 Fedora Update System 2013-10-07 12:03:22 EDT
tcpdump-4.4.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tcpdump-4.4.0-3.fc20
Comment 3 Fedora Update System 2013-10-09 10:12:20 EDT
Package tcpdump-4.4.0-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tcpdump-4.4.0-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18508/tcpdump-4.4.0-3.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-09 20:59:06 EDT
tcpdump-4.4.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-10-15 02:41:47 EDT
tcpdump-4.4.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.